Uploaded image for project: 'PUBLIC - Liferay Documentation'
  1. PUBLIC - Liferay Documentation
  2. LRDOCS-5905

Ambiguous explanation regarding that Elasticsearch and Liferay need to use same JDK

    Details

      Description

      In this document,
      https://dev.liferay.com/ja/discover/deployment/-/knowledge_base/7-1/installing-elasticsearch

      There are a note,

      Note: Before continuing, make sure you have set the JAVA_HOME environment variable
      If you have multiple JDKs installed, make sure Elasticsearch and Liferay Portal are using the same version. You can specify this in [Elasticsearch Home]/bin/elasticsearch.in.sh:
      

      But not only the version of Java, I believe Elasiticsearch and Liferay need to use the same distribution JDK, say Elasticsearch uses OpenJDK8, then Liferay also needs to use OpenJDK8. This information should be stated clearly to avoid confusion.

      I created a docker image of Elasticsearch for Liferay development, then Eduardo Perez pointed out in this thread of Loop
      https://loop.liferay.com/en/home/-/loop/feed/8266228

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Packages

                Version Package
                7.0.x
                7.1.x
                7.2.x